> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Upload Errors



## OpenAPI

````yaml get /user/patient/uploads/{upload_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/uploads/{upload_id}:
    get:
      tags:
        - provider
        - user
        - upload
      summary: Get Upload Errors
      operationId: get_upload_errors_user_patient_uploads__upload_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: upload_id
          in: path
          required: true
          schema:
            type: string
            title: Upload Id
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - asc
                  - desc
              - type: 'null'
            title: Sort Direction
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_PatientUploadErrors_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Page_PatientUploadErrors_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PatientUploadErrors'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[PatientUploadErrors]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PatientUploadErrors:
      properties:
        firstNameValue:
          type: string
          title: Firstnamevalue
          default: ''
        firstName:
          type: string
          title: Firstname
          default: ''
        lastName:
          type: string
          title: Lastname
          default: ''
        email:
          type: string
          title: Email
          default: ''
        phoneNumber:
          type: string
          title: Phonenumber
          default: ''
        dateOfBirth:
          type: string
          title: Dateofbirth
          default: ''
        externalId:
          type: string
          title: Externalid
          default: ''
        externalChargeId:
          type: string
          title: Externalchargeid
          default: ''
        externalChargeCreatedDate:
          type: string
          title: Externalchargecreateddate
          default: ''
        address:
          type: string
          title: Address
          default: ''
        addressLineTwo:
          type: string
          title: Addresslinetwo
          default: ''
        city:
          type: string
          title: City
          default: ''
        state:
          type: string
          title: State
          default: ''
        zipCode:
          type: string
          title: Zipcode
          default: ''
        balanceDescription:
          type: string
          title: Balancedescription
          default: ''
        outstandingBalance:
          type: string
          title: Outstandingbalance
          default: ''
      type: object
      title: PatientUploadErrors
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````